DACS_PRENV(8) | DACS Web Services and CGI | DACS_PRENV(8)

## NAME

dacs_prenv — CGI program that displays its environment

## SYNOPSIS

`dacs_prenv` [`-html`]

## DESCRIPTION

This program is part of the DACS suite. It is a stand-alone program that neither accepts the usual DACS command line options (dacsoptions) nor accesses any DACS configuration files.

This CGI utility simply prints its command line arguments, all environment variables, information about the system on which it is running, and CGI parameters and their values. It can be a useful tool when debugging web services.

### Tip

This program can be a useful tool for debugging web services. Replace a call to your web service with an identical call to dacs_prenv to see what arguments your web service is being passed and (to some extent) other context.

## OPTIONS

dacs_prenv recognizes these command line flags:

`-html`

  Selects HTML output (`text/html`) instead of the default `Content-Type` of `text/plain`, by default, using the style sheet dacs_prenv.css.

### Web Service Arguments

When used as a web service, the following parameters are recognized:

`FORMAT`

  At present, the only recognized value for this argument is `HTML`.

`just_dump_stdin`

  If the value of `QUERY_STRING` is exactly `jump_dump_stdin`, then the program will simply copy its standard input to the standard output as `text/plain`.

## FILES

dacs_prenv.css

## DIAGNOSTICS

The program exits `0` if everything was fine, `1` if an error occurred.

## BUGS

It should be possible to request XML output.

## SEE ALSO

cgiparse(8), env(1), printenv(1), environ(7)

## AUTHOR

Distributed Systems Software (www.dss.ca)

## COPYING

Copyright © 2003-2014 Distributed Systems Software. See the `LICENSE` file that accompanies the distribution for licensing information.

DACS Version 1.4.38a | 23-Nov-2016 | DACS_PRENV(8)

Table of Contents

Font:

- Z
- Z
- Z
- Z

−−

Set

++

$Id: dacs_prenv.8.xml 2759 2014-12-31 18:02:17Z brachman $